SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001592SiT!triggerspublic2011-06-14 20:162012-01-05 12:39
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionCurrent GIT 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001592: action_details.php produces javascript errors and save trigger
DescriptionWhen adding your own Notifications you get JS errors about unknown objects and when you save the notification the my notifications page doesn't list it
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003972)
Tomse (developer)
2011-06-14 20:29

I did 2 tests..
Notify when new KB article
and Mail when Incident nearing SLA

none of these gave any errors, and the "triggers" are displayed on my page

(I did these triggers with i18n da-DK)
User avatar (0003974)
paulh (administrator)
2011-06-14 20:45

You get the JS error when adding a notification for "When a new contract is added"

my mistake on the second part I'd failed to tick "Enable condition" I didn't spot this before, I though seen as I'd defined the condition it would be enabled (perhaps we need to tweak the interface?)
User avatar (0003977)
ivan (administrator)
2011-06-14 20:50

yeah I think users would expect a new condition to be enabled by default
User avatar (0003979)
ivan (administrator)
2011-06-14 21:01

in fact ... it's not possible to edit the conditions/checks/rules on a notification as far as I can tell so the checkbox to enable/disable seems redundant to me. Maybe this was intended for future use?
User avatar (0004068)
ivan (administrator)
2011-06-24 18:06

I've fixed the problem with the notifications recently added not being shown, it was happening because the notification user was hardcoded to 1 (admin) so only that user could add notifications and have them displayed. Other users just added notifications for admins list.
User avatar (0004251)
ivan (administrator)
2011-08-21 14:18

I can't reproduce the JS error mentioned in this report, is it still an issue?

Can you post steps?
User avatar (0004351)
Tomse (developer)
2011-12-03 17:32

I've been trying to reproduce this, but I'm not able to
User avatar (0004384)
paulh (administrator)
2011-12-20 16:10

I've just retested and can reproduce with teh latest git

* Login as a user (I was using admin)
* Go to My Notifications (notifications.php)
* Click "New Notification"
* For action select "When a new contract is added"

you get

Error: $("parametersbox") is null
Source File: http://localhost/sit4/scripts/webtrack.js [^]
Line: 1367

In the JS debugger
User avatar (0004385)
paulh (administrator)
2011-12-20 16:15

looks like this was removed from SVN in r2240
User avatar (0004386)
paulh (administrator)
2011-12-20 16:23

f1f1a33 removes a number of fields which the JS was hiding which no longer exist in 4.x

- Issue History
Date Modified Username Field Change
2011-06-14 20:16 paulh New Issue
2011-06-14 20:29 Tomse Note Added: 0003972
2011-06-14 20:30 Tomse Assigned To => Tomse
2011-06-14 20:30 Tomse Status new => feedback
2011-06-14 20:45 paulh Note Added: 0003974
2011-06-14 20:45 paulh Status feedback => assigned
2011-06-14 20:45 paulh Assigned To Tomse =>
2011-06-14 20:45 paulh Status assigned => new
2011-06-14 20:50 ivan Note Added: 0003977
2011-06-14 21:01 ivan Note Added: 0003979
2011-06-14 21:02 ivan Status new => confirmed
2011-06-14 21:02 ivan Target Version => 3.90beta1
2011-06-24 18:06 ivan Note Added: 0004068
2011-08-21 14:18 ivan Note Added: 0004251
2011-08-21 14:18 ivan Status confirmed => feedback
2011-12-03 17:32 Tomse Note Added: 0004351
2011-12-20 16:10 paulh Note Added: 0004384
2011-12-20 16:10 paulh Status feedback => new
2011-12-20 16:10 paulh Status new => acknowledged
2011-12-20 16:15 paulh Note Added: 0004385
2011-12-20 16:23 paulh Note Added: 0004386
2011-12-20 16:23 paulh Assigned To => paulh
2011-12-20 16:23 paulh Status acknowledged => resolved
2011-12-20 16:23 paulh Resolution open => fixed
2011-12-20 16:23 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker